# StringTable.h File Reference

A simple class to encode and decode known strings based on a lookup table. Similar to the StringCompressor class. More...

`#include "DS_OrderedList.h"`
`#include "Export.h"`
`#include "RakMemoryOverride.h"`

## Classes
struct | StrAndBool
| The string plus a bool telling us if this string was copied or not. More...
class | RakNet::StringTable
| Writes a string index, instead of the whole string. More...
## Namespaces
namespace | RakNet
| Forward declaration.

## Typedefs
typedef unsigned char | StringTableType
| StringTableType should be the smallest type possible, or else it defeats the purpose of the StringTable class, which is to save bandwidth.

## Detailed Description

A simple class to encode and decode known strings based on a lookup table. Similar to the StringCompressor class.

This file is part of RakNet Copyright 2003 Jenkins Software LLC

Usage of RakNet is subject to the appropriate license agreement.